aboutsummaryrefslogtreecommitdiff
path: root/tests/process_hkl_check_4
diff options
context:
space:
mode:
authorThomas White <taw@physics.org>2018-06-25 16:28:32 +0200
committerThomas White <taw@physics.org>2018-06-25 16:28:32 +0200
commita604828f8a21399574a39d9b3ce38b116fd98ee6 (patch)
treeb867e2da11cfa1121ebba4bcf79cff17145e9981 /tests/process_hkl_check_4
parentec5cf28c70480540d7dd4dd36ea27643e5fa53ed (diff)
Rename first/second/third/fourth_merge_check to process_hkl_check_1/2/3/4
Diffstat (limited to 'tests/process_hkl_check_4')
-rwxr-xr-xtests/process_hkl_check_441
1 files changed, 41 insertions, 0 deletions
diff --git a/tests/process_hkl_check_4 b/tests/process_hkl_check_4
new file mode 100755
index 00000000..aa36f112
--- /dev/null
+++ b/tests/process_hkl_check_4
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+PROCESS_HKL=$1
+
+cat > process_hkl_check_4.stream << EOF
+CrystFEL stream format 2.1
+Command line: indexamajig -i dummy.lst -o dummy.stream --kraken=prawn
+----- Begin chunk -----
+Image filename: dummy.h5
+photon_energy_eV = 2000.0
+--- Begin crystal
+Cell parameters 27.74398 27.84377 16.90346 nm, 88.53688 91.11774 118.75944 deg
+astar = -0.0283891 +0.0149254 -0.0257273 nm^-1
+bstar = -0.0068281 +0.0403989 -0.0005196 nm^-1
+cstar = +0.0406926 +0.0052233 -0.0426520 nm^-1
+Reflections measured after indexing
+ h k l I phase sigma(I) counts fs/px ss/px
+ 1 0 0 100.00 - 0.00 1 938.0 629.0
+End of reflections
+--- End crystal
+----- End chunk -----
+EOF
+
+cat > process_hkl_check_4_ans.hkl << EOF
+CrystFEL reflection list version 2.0
+Symmetry: 1
+ h k l I phase sigma(I) nmeas
+EOF
+
+$PROCESS_HKL -i process_hkl_check_4.stream -o process_hkl_check_4.hkl --no-polarisation
+if [ $? -ne 0 ]; then
+ exit 1;
+fi
+sed -n '/End of reflections/q;p' process_hkl_check_4.hkl > tempf.hkl
+mv tempf.hkl process_hkl_check_4.hkl
+diff process_hkl_check_4.hkl process_hkl_check_4_ans.hkl
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+rm -f process_hkl_check_4.stream process_hkl_check_4.hkl process_hkl_check_4_ans.hkl
+exit 0